aboutsummaryrefslogtreecommitdiff
path: root/measure_scripts/30-compile
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2015-07-28 22:42:45 +0200
committerKarel Kočí <cynerd@email.cz>2015-08-12 10:22:55 +0200
commit440bca33aaeb7ed453948c933eaaef42e2eb0f6e (patch)
tree95200bfea919171d3acba0a265bd97c29f3ac64f /measure_scripts/30-compile
parent7f470bd576f8b66345d22ee72b1a4ec57fd13c93 (diff)
downloadlinux-conf-perf-440bca33aaeb7ed453948c933eaaef42e2eb0f6e.tar.gz
linux-conf-perf-440bca33aaeb7ed453948c933eaaef42e2eb0f6e.tar.bz2
linux-conf-perf-440bca33aaeb7ed453948c933eaaef42e2eb0f6e.zip
Add external scripts and set boot configuration
Diffstat (limited to 'measure_scripts/30-compile')
-rwxr-xr-xmeasure_scripts/30-compile12
1 files changed, 12 insertions, 0 deletions
diff --git a/measure_scripts/30-compile b/measure_scripts/30-compile
new file mode 100755
index 0000000..29da38a
--- /dev/null
+++ b/measure_scripts/30-compile
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+cd ../linux
+
+export ARCH=powerpc
+export CROSS_COMPILE=/opt/OSELAS.Toolchain-2012.12.1/powerpc-603e-linux-gnu/gcc-4.7.2-glibc-2.16.0-binutils-2.22-kernel-3.6-sanitized/bin/powerpc-603e-linux-gnu-
+
+test -t 0 || CHRONIC=chronic
+
+$CHRONIC make -j$(nproc) uImage